Bug 1463246 - Host details page can't be properly loaded after editing
Host details page can't be properly loaded after editing
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 08:28 EDT by Stanislav Tkachenko
Modified: 2018-02-21 11:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:54:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (267.29 KB, image/png)
2017-06-20 08:28 EDT, Stanislav Tkachenko
no flags Details

  None (edit)
Description Stanislav Tkachenko 2017-06-20 08:28:25 EDT
Created attachment 1289636 [details]
Screenshot

Description of problem:
When editing host via UI (does not matter whether something was changed or not) after clicking on `submit` host page can't be loaded and always shows `Loading host information...`. Edit changes are saved though.

When clicking on host info it redirects to 
https://sat6.com/hosts/139757900805904.example.com
When clicking on edit it redirects to 
https://sat6.com/hosts/139757900805904.example.com/edit
When clicking on submit, host info page is loaded but url still is https://sat6.com/hosts/139757900805904.example.com/edit and details tables can't be loaded.
When clicking on host info from the Hosts page, everything is loaded.

Version-Release number of selected component (if applicable):
Satellite 6.3 Snap 3.0:
* satellite-6.3.0-15.0.beta.el7sat.noarch
* foreman-1.15.0-1.el7sat.noarch
* katello-3.4.1-1.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Click on host to view details and verify that page is loaded
2. Click on edit (edit something or leave it as is)
3. Click submit
4. Check that page shows `Loading host information...` etc

Actual results:
Page can't be fully loaded.

Expected results:
Full host info should be loaded just like when clicking on host on Hosts page

Additional info:
Comment 4 Stanislav Tkachenko 2017-07-17 05:13:36 EDT
Verified on Satellite 6.3.0 Snap 7.0
Comment 5 pm-sat@redhat.com 2018-02-21 11:54:17 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.